Bug 67628 - Hostname not checked/set during install
Summary: Hostname not checked/set during install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-28 15:16 UTC by Matt Jamison
Modified: 2007-07-31 19:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-01 22:19:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josef Komenda 2002-06-28 15:16:06 UTC
Description of Problem: Satellite throws a cookie error if the server is not
using the same fully qualified domain name for itself and for the Apache server.
 Installer should check the domain name, prompt the user for one or something
similar, and set the system hostname accordingly. 

Version-Release number of selected component (if applicable): See bug 63780

Comment 1 Adrian Likins 2002-07-01 17:47:59 UTC
the installer sets the hostname to the fqdn that is
returned by socket.gethostname()

If we are allowing the server to be address 
via different hostname via http than it thinks
it is, we need to prompt for a hostname, or
tell the user to modify it themselves.

The original spec indicated that the installer
should just discover the servers hostname and
use that directly, if it needed to be something
else, thats what the config files are for. Is
this no longer the case?

Comment 2 Josef Komenda 2002-07-01 22:19:33 UTC
OK, closing, will ask for better verbage and a warning in bug 67630


Note You need to log in before you can comment on or make changes to this bug.